package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品规格表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_product_spec")
public class ShopProductSpec extends BaseEntity {
    /**
     * 商品规格ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 商品ID
     */
    @TableField(value = "product_id")
    private Long productId;

    /**
     * 规格名称
     */
    @TableField(value = "spec_name")
    private String specName;


}