package edu.travel.commodity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 国家表
 */
@Data
public class BaseCountryDto extends PagePO {
    /**
     * ID
     */
    private Long id;

    /**
     * 所属洲
     */
    private Long parentId;
    /**
     * 图片
     */
    private String imageUrl;

    /**
     * 国家/洲中文名称
     */
    private String countryNameZh;

    /**
     * 国家/洲英文名称
     */
    private String countryNameEn;

    /**
     * 当地国家/洲名称
     */
    private String countryNameLocal;

    /**
     * 国家区号
     */
    private Integer areaCode;

}