package edu.travel.commodity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.commodity.dto.BaseCountryDto;
import edu.travel.commodity.entity.BaseCountry;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.commodity.vo.BaseCountryVo;
import edu.travel.rpc.RPCBaseResponse;

import java.util.List;

public interface BaseCountryService extends IService<BaseCountry>{

//分页
    RPCBaseResponse<IPage<BaseCountryVo>> getCountryPage(BaseCountryDto baseCountryDTO);
//国家树
    RPCBaseResponse<List<BaseCountryVo>> getCountryTree();
}
