package edu.travel.web;

import edu.travel.remote.UploadRemoteController;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;
@RestController
@RequestMapping("/upload")
public class UploadController implements UploadRemoteController {
    /**
     * 文件是否存在
     * @param md5
     * @return
     */
    @Override
    @GetMapping("/exits/md5")
    @PreAuthorize("permitAll()")
    public RPCBaseResponse exitsFile(String md5) {
        return null;
    }
    /**
     * 上传过哪些分片
     * @param md5
     * @return
     */
    @Override
    @GetMapping("/exits/blob")
    @PreAuthorize("permitAll()")
    public RPCBaseResponse exitsBlob(String md5) {
        return null;
    }
    /**
     * 上传大文件分片
     * @param file
     * @return
     */
    @Override
    @PostMapping(value = "/uploadBlob",headers = {"content-type=multipart/form-data"})
    @PreAuthorize("permitAll()")
    public RPCBaseResponse uploadBigFile(MultipartFile file) {
        return null;
    }
    /**
     * 合并大文件
     * @param json
     * @return
     */
    @Override
    @PostMapping(value = "/mergeFile")
    @PreAuthorize("permitAll()")
    public RPCBaseResponse mergeFile(String json) {
        return null;
    }
    /**
     * 上传小文件
     * @param file
     * @return
     */
    @Override
    @PostMapping(value = "/upload",headers = {"content-type=multipart/form-data"})
    @PreAuthorize("permitAll()")
    public RPCBaseResponse uploadFile(MultipartFile file) {
        return null;
    }
}
